<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>AbstractFactory (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractFactory (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/internal/registry/AbstractFactory.html" target="_top">Frames</a></li>
<li><a href="AbstractFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.registry</div>
<h2 title="Class AbstractFactory" class="title">Class AbstractFactory&lt;E&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.internal.registry.AbstractFactory&lt;E&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>E</code> - the element that the factory returns</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extension/factory/BlockFactory.html" title="class in com.sk89q.worldedit.extension.factory">BlockFactory</a>, <a href="../../../../../com/sk89q/worldedit/extension/factory/ItemFactory.html" title="class in com.sk89q.worldedit.extension.factory">ItemFactory</a>, <a href="../../../../../com/sk89q/worldedit/extension/factory/MaskFactory.html" title="class in com.sk89q.worldedit.extension.factory">MaskFactory</a>, <a href="../../../../../com/sk89q/worldedit/extension/factory/PatternFactory.html" title="class in com.sk89q.worldedit.extension.factory">PatternFactory</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractFactory&lt;E&gt;</span>
extends java.lang.Object</pre>
<div class="block">An abstract implementation of a factory for internal usage.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html#worldEdit">worldEdit</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html#AbstractFactory-com.sk89q.worldedit.WorldEdit-com.sk89q.worldedit.internal.registry.InputParser-">AbstractFactory</a></span>(<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit,
               <a href="../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html" title="type parameter in AbstractFactory">E</a>&gt;&nbsp;defaultParser)</code>
<div class="block">Create a new factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html" title="type parameter in AbstractFactory">E</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html#getParsers--">getParsers</a></span>()</code>
<div class="block">Gets an immutable list of parsers.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html#getSuggestions-java.lang.String-">getSuggestions</a></span>(java.lang.String&nbsp;input)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html" title="type parameter in AbstractFactory">E</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html#parseFromInput-java.lang.String-com.sk89q.worldedit.extension.input.ParserContext-">parseFromInput</a></span>(java.lang.String&nbsp;input,
              <a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html" title="class in com.sk89q.worldedit.extension.input">ParserContext</a>&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html#register-com.sk89q.worldedit.internal.registry.InputParser-">register</a></span>(<a href="../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html" title="type parameter in AbstractFactory">E</a>&gt;&nbsp;inputParser)</code>
<div class="block">Registers an InputParser to this factory</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="worldEdit">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>worldEdit</h4>
<pre>protected final&nbsp;<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a> worldEdit</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractFactory-com.sk89q.worldedit.WorldEdit-com.sk89q.worldedit.internal.registry.InputParser-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractFactory</h4>
<pre>protected&nbsp;AbstractFactory(<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit,
                          <a href="../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html" title="type parameter in AbstractFactory">E</a>&gt;&nbsp;defaultParser)</pre>
<div class="block">Create a new factory.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>worldEdit</code> - the WorldEdit instance</dd>
<dd><code>defaultParser</code> - the parser to fall back to</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getParsers--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParsers</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html" title="type parameter in AbstractFactory">E</a>&gt;&gt;&nbsp;getParsers()</pre>
<div class="block">Gets an immutable list of parsers.

 To add parsers, use the register method.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parsers</dd>
</dl>
</li>
</ul>
<a name="parseFromInput-java.lang.String-com.sk89q.worldedit.extension.input.ParserContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseFromInput</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html" title="type parameter in AbstractFactory">E</a>&nbsp;parseFromInput(java.lang.String&nbsp;input,
                        <a href="../../../../../com/sk89q/worldedit/extension/input/ParserContext.html" title="class in com.sk89q.worldedit.extension.input">ParserContext</a>&nbsp;context)
                 throws <a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSuggestions-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuggestions</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getSuggestions(java.lang.String&nbsp;input)</pre>
</li>
</ul>
<a name="register-com.sk89q.worldedit.internal.registry.InputParser-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>register</h4>
<pre>public&nbsp;void&nbsp;register(<a href="../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry">InputParser</a>&lt;<a href="../../../../../com/sk89q/worldedit/internal/registry/AbstractFactory.html" title="type parameter in AbstractFactory">E</a>&gt;&nbsp;inputParser)</pre>
<div class="block">Registers an InputParser to this factory</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputParser</code> - The input parser</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/internal/registry/InputParser.html" title="class in com.sk89q.worldedit.internal.registry"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/internal/registry/AbstractFactory.html" target="_top">Frames</a></li>
<li><a href="AbstractFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
